Loading...
Searching...
No Matches
EMF::EMRSETTEXTALIGN Class Reference

EMF Set Text Alignment. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETTEXTALIGN:

## Public Member Functions

| EMRSETTEXTALIGN (UINT mode)
| EMRSETTEXTALIGN (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Text Alignment.

Determines the justification of the text with respect to its position.

## Constructor & Destructor Documentation

## EMRSETTEXTALIGN() [1/2]

EMF::EMRSETTEXTALIGN::EMRSETTEXTALIGN | ( | UINT | mode | ) |

inline

Parameters

  mode | text alignment mode.

## EMRSETTEXTALIGN() [2/2]

EMF::EMRSETTEXTALIGN::EMRSETTEXTALIGN | ( | DATASTREAM & | ds | ) |

inline

Construct a SetTextAlign record from the input datastream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

## execute()

void EMF::EMRSETTEXTALIGN::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc ) const

inline virtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

## serialize()

bool EMF::EMRSETTEXTALIGN::serialize | ( | DATASTREAM | ds | ) |

inline virtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

## size()

int EMF::EMRSETTEXTALIGN::size | ( | void |  | ) | const

inline virtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h